mail::SMTPSession Class Reference

`#include <SMTPSession.h>`

Inheritance diagram for mail::SMTPSession:
[legend]
Collaboration diagram for mail::SMTPSession:
[legend]

## Public Member Functions

| SMTPSession (core::EPoll &ePoll, core::TCPServer &server)

## Public Attributes

std::string | clientDomainName
std::string | userName
std::string | password
std::stringstream | mailData
State | state = CONNECT
AuthState | authState = USER_UNKNOWN
Mode | mode = WAIT_FOR_DATA
bool | relay = false
std::string | sender
std::vector< std::string > | recipientList

## Constructor & Destructor Documentation

## SMTPSession()

mail::SMTPSession::SMTPSession | ( | core::EPoll & | ePoll,
|  | core::TCPServer & | server
| ) |  |

inline

## Member Data Documentation

## authState

AuthState mail::SMTPSession::authState = USER_UNKNOWN

## clientDomainName

std::string mail::SMTPSession::clientDomainName

## mailData

std::stringstream mail::SMTPSession::mailData

## mode

Mode mail::SMTPSession::mode = WAIT_FOR_DATA

## password

std::string mail::SMTPSession::password

## recipientList

std::vector<std::string> mail::SMTPSession::recipientList

## relay

bool mail::SMTPSession::relay = false

## sender

std::string mail::SMTPSession::sender

## state

State mail::SMTPSession::state = CONNECT

## userName

std::string mail::SMTPSession::userName

The documentation for this class was generated from the following file:

- /home/bradarant/barant/BMAMail/SMTPSession.h